/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.kernel.security;

import javax.security.auth.callback.Callback;
import javax.servlet.http.HttpServletRequest;

/**
 * Callback to retrieve the current <code>HttpServletRequest</code>.
 *
 * @author Sameer Ajmani
 **/
public class HTTPRequestCallback implements Callback {

    public static final String versionId = "$Id: //core-platform/dev/src/com/arsdigita/kernel/security/HTTPRequestCallback.java#8 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";
    private HttpServletRequest m_request;

    /**
     * Gets the <code>HttpServletRequest</code>.
     **/
    public HttpServletRequest getRequest() {
        return m_request;
    }

    /**
     * Sets the <code>HttpServletRequest</code>.
     **/
    public void setRequest(HttpServletRequest request) {
        m_request = request;
    }
}
